# MachineArchitecture

abstract class MachineArchitecture : Named

Represents a target architecture of a component. Typical architectures include "x86" and "x86-64".

#### Since

5.1

## Constructors

MachineArchitecture
Link copied to clipboard
constructor()

## Properties

ARCHITECTURE_ATTRIBUTE
Link copied to clipboard
val ARCHITECTURE_ATTRIBUTE: Attribute<MachineArchitecture>
ARM64
Link copied to clipboard
@Incubating
val ARM64: String = "aarch64"
The ARM 64-bit architecture
X86
Link copied to clipboard
val X86: String = "x86"
The intel x86 32-bit architecture
X86_64
Link copied to clipboard
val X86_64: String = "x86-64"
The intel x86 64-bit architecture

## Functions

getName
Link copied to clipboard
@Input
abstract fun getName(): String